function DisplayOverviewHud:setGetCfg(loadCfg)
	createFolder(getUserProfileAppPath().. "modsSettings/");
	createFolder(DisplayOverviewHud.settingsDir);
	local file = DisplayOverviewHud.settingsDir.. "displayOverviewHudSettings.xml";
	local Xml = nil;
	local xmlVersion = 0.1;
	if not fileExists(file) or not loadCfg then
		Xml = createXMLFile("DisplayOverviewHud_XML", file, "displayOverviewHudSettings");		
		local groupNameTag = ("displayOverviewHudSettings.version(%d)"):format(0);
		setXMLString(Xml, groupNameTag.. "#xmlVersion", tostring(xmlVersion));
		groupNameTag = ("displayOverviewHudSettings.global(%d)"):format(0);
		setXMLBool(Xml, groupNameTag.. "#rebootXmlESC", DisplayOverviewHud.rebootXml);
		setXMLBool(Xml, groupNameTag.. "#hlDebugMode", DisplayOverviewHud.hlDebugMode);
		setXMLBool(Xml, groupNameTag.. "#onlyAppearsOnStats", DisplayOverviewHud.settings.onlyAppearsOnStats);
		setXMLFloat(Xml, groupNameTag.. "#txtSize", DisplayOverviewHud.settings.size);
		--setXMLFloat(Xml, groupNameTag.. "#heightDistance", DisplayOverviewHud.settings.draw.heightDistance);
		--setXMLFloat(Xml, groupNameTag.. "#lineFat", DisplayOverviewHud.settings.draw.lineFat);
		
		--groupNameTag = ("displayOverviewHudSettings.colors.background(%d)"):format(0);
		--setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.background[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.background[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.background[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.background[4]);
		--groupNameTag = ("displayOverviewHudSettings.colors.line(%d)"):format(0);
		--setXMLFloat(Xml, groupNameTag.. "#red", DisplayOverviewHud.color.line[1]);setXMLFloat(Xml, groupNameTag.. "#green", DisplayOverviewHud.color.line[2]);setXMLFloat(Xml, groupNameTag.. "#blue", DisplayOverviewHud.color.line[3]);setXMLFloat(Xml, groupNameTag.. "#alpha", DisplayOverviewHud.color.line[4]);
				
		saveXMLFile(Xml);
	else	
		Xml = loadXMLFile("displayOverviewHud_XML", file, "displayOverviewHudSettings");
		local groupNameTag = ("displayOverviewHudSettings.version(%d)"):format(0);
		if not getXMLString(Xml, groupNameTag.. "#xmlVersion") then DisplayOverviewHud:saveOldXml();DisplayOverviewHud:setGetCfg(false)return;end;
		local xmlVersionTemp = string.format("%1.1f", "".. getXMLString(Xml, groupNameTag.. "#xmlVersion"));		
		if tonumber(xmlVersionTemp) < tonumber(xmlVersion) then DisplayOverviewHud:saveOldXml();DisplayOverviewHud:setGetCfg(false)return;end;
		groupNameTag = ("displayOverviewHudSettings.global(%d)"):format(0);
		if getXMLBool(Xml, groupNameTag.. "#rebootXmlESC") ~= nil then DisplayOverviewHud.rebootXml = getXMLBool(Xml, groupNameTag.. "#rebootXmlESC");end;
		if getXMLBool(Xml, groupNameTag.. "#hlDebugMode") ~= nil then DisplayOverviewHud.hlDebugMode = getXMLBool(Xml, groupNameTag.. "#hlDebugMode");end;
		if getXMLBool(Xml, groupNameTag.. "#onlyAppearsOnStats") ~= nil then DisplayOverviewHud.settings.onlyAppearsOnStats = getXMLBool(Xml, groupNameTag.. "#onlyAppearsOnStats");end;
		if getXMLFloat(Xml, groupNameTag.. "#txtSize") then DisplayOverviewHud.settings.size = getXMLFloat(Xml, groupNameTag.. "#txtSize");end;
		--if getXMLFloat(Xml, groupNameTag.. "#heightDistance") then DisplayOverviewHud.settings.draw.heightDistance = getXMLFloat(Xml, groupNameTag.. "#heightDistance");end;
		--if getXMLFloat(Xml, groupNameTag.. "#lineFat") then DisplayOverviewHud.settings.draw.lineFat = getXMLFloat(Xml, groupNameTag.. "#lineFat");end;
		
		--groupNameTag = ("displayOverviewHudSettings.colors.background(%d)"):format(0);
		--if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
		--	DisplayOverviewHud.color.background = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		--end;
		--groupNameTag = ("displayOverviewHudSettings.colors.line(%d)"):format(0);
		--if getXMLFloat(Xml, groupNameTag.. "#red") and getXMLFloat(Xml, groupNameTag.. "#green") and getXMLFloat(Xml, groupNameTag.. "#blue") and getXMLFloat(Xml, groupNameTag.. "#alpha") then 
		--	DisplayOverviewHud.color.line = {getXMLFloat(Xml, groupNameTag.. "#red"),getXMLFloat(Xml, groupNameTag.. "#green"),getXMLFloat(Xml, groupNameTag.. "#blue"),getXMLFloat(Xml, groupNameTag.. "#alpha")};
		--end;
	end;	
end;

function DisplayOverviewHud:saveOldXml()	
	local getDateString = tostring(getDate("%d").. "_".. getDate("%w").. "_".. getDate("%m").. "_".. getDate("%Y"));
	local oldXml = DisplayOverviewHud.settingsDir.. "displayOverviewHudSettings.xml";	
	local backupXml = DisplayOverviewHud.settingsDir.. "displayOverviewHudSettings_Old_Backup_".. getDateString.. ".xml";	
	copyFile(oldXml, backupXml, false);
end;	